Simple Last.fm Scrobbler
========================

**This project is unfortunately in a bit of a limbo. The app works, and is available on Google Play, but I don't have the time to maintain it on my own.**

**If anyone wants to take part in developing this app further, I'm looking for contributors. Please email me, or just fork and code away.**

**Pull requests are very welcome!**


Simple Last.fm Scrobbler (SLS) is a simple app that scrobbles music listened
to on an Android phone. Scrobbling means submitting listening information to
Last.fm (and optionally/additionally Libre.fm) when you play a track, and you
can then get music recommendations and view you listening history and statistics
at Last.fm.

Before the release of a new version of SLS, it will be available here to test for
one week.

More info about scrobbling can be found on [Last.fm's FAQ](http://www.last.fm/help/faq?category=Scrobbling#201).

If you need inspiration on stuff to do, you might want to have a look at the list of issues.

Contact email:
[simple.lfm.scrobbler@gmail.com](mailto:simple.lfm.scrobbler@gmail.com)

Download
========
You can find the latest version of Simple Last.fm Scrobbler in the
[Google Play Store](https://play.google.com/store/apps/details?id=com.adam.aslfms), and here
in the [downloads section](https://github.com/tgwizard/sls/downloads).

Features
========

 * Scrobbling
 * Now playing notifications
 * Power-saving settings
 * Caching scrobbles (while offline or through settings)
 * Editing scrobble cache
 * More

Supported websites (to scrobble to)
-----------------------------------

 * [Last.fm](http://last.fm)
 * [Libre.fm](http:///libre.fm)

Apps
----

 * Default Android Music Player
 * HTC Hero Music Player
 * [Meridian Player](http://sites.google.com/site/eternalsandbox/Home/meridian-video-player) **(a)**
 * [RockOn](http://abrantix.org/rockon.php) ([Google Play](https://play.google.com/store/apps/details?id=org.abrantes.filex)) **(a)**
 * [MixZing](http://mixzing.com/android.html ) ([Google Play](https://play.google.com/store/apps/details?id=com.mixzing.basic)) **(a)**
 * [Archos Music Player](http://www.archos.com/products/imt/archos_5it/index.html) **(b)**
 * [Rhapsody Android Beta](http://www.rhapsody.com/android/download) **(b)**
 * [Vanilla Music Player](http://github.com/kreed/vanilla) ([Google Play](https://play.google.com/store/apps/details?id=org.kreed.vanilla)) **(a)**
 * [bTunes](http://www.btunesmusicplayer.com/default.html) ([Google Play](https://play.google.com/store/apps/details?id=com.bmayers.bTunesRelease), and [more](http://www.facebook.com/pages/bTunes/362875048125?v=wall))
 * [³ (cubed)](http://abrantix.org/3.php) - Appears as !RockOn !NextGen in the Enabled Apps screen ([Google Play](https://play.google.com/store/apps/details?id=org.abrantix.rockon.rockonnggl))
 * [WIMP](http://wimp.no/)
 * [Zimly](http://zim.ly/)
 * [Just Playlists](http://jp.folsoms.info)
 * [PowerAMP](http://powerampapp.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.maxmpz.audioplayer))
 * [Winamp](http://blog.winamp.com/2010/11/30/winamp-for-android/)
 * [myTouch 4G](http://mytouch.t-mobile.com/)
 * [Google Music](http://music.google.com/music/)
 * [PlayerPro](http://www.aplayerpro.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.tbig.playerpro))
 * [jukefox](http://www.jukefox.org/) ([Google Play](https://play.google.com/store/apps/details?id=ch.ethz.dcg.pancho2)) **(a)**
 * [DAAP Media Player](http://code.google.com/p/daap-client/ ) ([Google Play](https://play.google.com/store/apps/details?id=org.mult.daap))
 * [Folder Player](http://folderplayer.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.folderplayer))
 * [GoneMAD Music Player](http://gonemadmusicplayer.blogspot.com/) ([Google Play](https://play.google.com/store/apps/details?id=gonemad.gmmp))
 * MIUI Music Player
 * [ServeStream](http://sourceforge.net/projects/servestream/) ([Google Play](https://play.google.com/store/apps/details?id=net.sourceforge.servestream))
 * Default Sony Ericsson/Xperia Music Player
 * [Neutron Music Player](http://neutronmp.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.neutroncode.mp))
 * [Music2Dance2](http://www.argoday.com/wiki/Music2Dance2) ([Google Play](https://play.google.com/store/apps/developer?id=Argoday))
 * [Rdio](http://www.rdio.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.rdio.android.ui))
 * [DeaDBeeF](http://deadbeef.sourceforge.net/) ([Google Play](https://play.google.com/store/apps/details?id=org.deadbeef.android)) **(a)**
 * [Music Pump XBMC Remote (Beta)](http://forum.xbmc.org/showthread.php?tid=131303) ([Google Play](https://play.google.com/store/apps/details?id=ch.berard.xbmcremotebeta))
 * [JRTStudio Android Music Player](http://www.jrtstudio.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.jrtstudio.music))
 * [Music Folder Player](https://sites.google.com/site/zorillasoft/) ([Google Play](https://play.google.com/store/apps/details?id=de.zorillasoft.musicfolderplayer))
 * [Apollo](http://www.seeingpixels.org/2012/05/apollo.html) **(b)**
 * LG Music Player
 * [Now Playing](https://plus.google.com/116252656973193786075/posts) ([Google Play](https://play.google.com/store/apps/details?id=com.underwood.now_playing))
 * [Shuttle Music Player](https://plus.google.com/104842767174352132769/posts) ([Google Play](https://play.google.com/store/apps/details?id=another.music.player))
 * [My Cloud Player](http://mycloudplayers.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.mycloudplayers.mycloudplayer))
 * SoundSeeder ([Google Play](https://play.google.com/store/apps/details?id=com.kattwinkel.android.soundseeder.player))
 * [Amazon Music](http://www.amazon.com/gp/feature.html?ie=UTF8&docId=1000454841) ([Google Play](https://play.google.com/store/apps/details?id=com.amazon.mp3), [Amazon Appstore](http://www.amazon.com/gp/product/B004FRX0MY))
 * More to come...

**(a)** Uses the [Scrobble Droid API](http://code.google.com/p/scrobbledroid/wiki/DeveloperAPI) - identifies under "Enabled apps" as "Scrobble Droid Apps".

**(b)** It presents itself to SLS as the Android Music Player. This means that it won't show up under "Enabled apps" under its real name, but under Android Music Player.


Known compatible devices
------------------------

**Note.** SLS should work on any device that can install it, and that can run one of the music apps above.

## Tested by me:

 * Google Nexus One
 * HTC Magic
 * HTC Desire
 * Google Galaxy Nexus

Reported working:

 * Acer Liquid A1
 * Archos 5 Internet Tablet
 * Google Nexus 7
 * Google Nexus 4
 * HTC Desire HD
 * HTC Desire S
 * HTC Desire Z
 * HTC Dream
 * HTC Droid Eris
 * HTC Droid Incredible (should work, email me if it doesn't)
 * HTC Evo 3D
 * HTC Flyer
 * HTC Hero
 * HTC Legend
 * HTC Tattoo
 * HTC Wildfire
 * LG Optimus One P500
 * LG Optimus V
 * Motorola Droid
 * Motorola Droid 3
 * Motorola Milestone
 * Samsung Galaxy Ace (probably doesn't work with builtin player)
 * Samsung Galaxy S2
 * Samsung Galaxy Spica (doesn't work with the built-in 2.1 music app)
 * Sony Ericsson Xperia X10 Mini Pro
 * Sony Ericsson Xperia Pro

Issues:

 * Motorola CLIQ/DEXT doesn't seem to work



Changes
=======

For a complete list of changes, see [the changelog](https://github.com/tgwizard/sls/blob/master/assets/changelog.txt).


Bugs, Contributions, Thoughts...
========================================================

First, read the [FAQ](https://github.com/tgwizard/sls/wiki/FAQ)
to see if you can find any help with your issue.

If you can't find it there, you can always open an issue or pull request here on GitHub,
or you can email me: [simple.lfm.scrobbler@gmail.com](mailto:simple.lfm.scrobbler@gmail.com)


Developers
==========
If you want to enable your app to scrobble music through SLS, see
[Developer's API](https://github.com/tgwizard/sls/wiki/Developer's-API).


Credits
=======

All of the code is open source, released under GPLv3.
My wish is to release it under [Apache License 2.0](http://www.apache.org/licenses/LICENSE-2.0), but it still contains thirdy-party code licensed under GPL.

 * Almost all of the code is written by me, so: Copyright 2009-2012 Adam Renberg.
 * A small MD5 utilities class seems to be written by many people,
but it is released under GPLv2, and I got it from [ostermiller.org](http://ostermiller.org/utils/MD5.html).
 * The icon was made by [Tha PHLASH](http://www.thaphlash.com/).
 * The Last.fm logo is copyright of Last.fm, taken from their [media kit](http://www.last.fm/resources).
 * The Libre.fm logo is probably copyright of Libre.fm, used in good faith. (Because of their name and stated mission, I assume it is okay).

I use copyright here only in the sense of proper attribution. Do whatever you want with the code (as long as the licenses are followed). I switched to the Apache License 2.0 for a less viral license.

Contributors
------------

 * Adam Renberg, [github.com/tgwizard](https://github.com/tgwizard), main author
 * Argoday, [github.com/argoday](https://github.com/argoday), code fixes, support for Music2Dance2
 * Sean O'Neil, [github.com/SeanPONeil](https://github.com/SeanPONeil), android 4.0
 * Andrew Thomson, support for MIUI Music Player
 * Mark Gillespie, support for Sony/Sony Ericsson/Xperia phones
 * Dmitry Kostjuchenko, support for Neutron Music Player
 * stermi, support for Rdio
 * Joseph Cooper, [github.com/grodin](https://github.com/grodin), support for JRTStudio Android Music Player
 * Shahar, [github.com/kshahar](https://github.com/kshahar), support for LG Music Player
 * theli-ua, [github.com/theli-ua](https://github.com/theli-ua), support for Amazon Music
 * metanota, [github.com/metanota](https://github.com/metanota), support for PlayerPro
 * Joel Teichroeb, [github.com/klusark](https://github.com/klusark), bug fixes
 * Tha PHLASH, [thaphlash.com](http://www.thaphlash.com/), icon

Test device contributors
------------------
 * Dmitry Paskal, [github.com/paskal](https://github.com/paskal)
 * Iļja Gubins, [https://github.com/the-lay](https://github.com/the-lay)

Several people have also contributed with comments, suggestions and [issues](https://github.com/tgwizard/sls/issues/).
